package com.caimei365.user.controller;

import com.caimei365.user.model.ClubVo;
import com.caimei365.user.model.JsonModel;
import com.caimei365.user.service.ClubService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;



/**
 * 机构用户API
 *
 * @author : Charles
 * @date : 2021/3/4
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/user/club")
public class ClubApi {

    private final ClubService clubService;

    @PostMapping("/register")
    public JsonModel<ClubVo> register(ClubVo club) {
        return clubService.register(club);
    }

}
