package com.caimei365.user.mapper;

import com.caimei365.user.model.BaseUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/5
 */
@Mapper
public interface BaseUserDao {
    /**
     * 根据手机号或邮箱获取用户
     *
     * @param mobileOrEmail
     * @return
     */
    BaseUser selectByMobileOrEmail(@Param("mobileOrEmail") String mobileOrEmail, @Param("source") String source);
}
